Subject: bug#16028: 24.3.50; Latest build completely breaks my thumnail frames code

From: martin rudalics <[email-masked]>
Date: Fri, 06 Dec 2013 17:20:55 +0100

> OK, I found that adding a (sit-for 0) after this call in
 > `thumfr-thumbify-frame' fixes the problem:
 >
 >   (enlarge-font (- thumfr-font-difference) frame)
 >
 > (And no error handlers were called with this simple test.)
 >
 > Do I need to do that in my code, or will you be doing something to
 > your fix that incorporates this?
 >
 > If I need to do it, should I add the sit-for to the end of `enlarge-font'
 > or add it only after the above call in `thumfr-thumbify-frame'.
 >
 > IOW, is this something that needs to be fixed in the frame
 > shrinking/enlarging code, even though I do not generally notice a problem
 > with that, or should it be handled only here and there, where I happen to
 > notice a problem.  (Normally, I would probably opt for the latter, but if
 > you think this is now a wise or necessary thing to do in general, then
 > let me know.)

Until we resolved this issue leave it in.

IIUC for some reason setting the font apparently doesn't want to resize
the frame immediately.  I could imagine that somewhere in the code I
compare numbers of lines/columns and decide that no resizing is needed
because these are unchanged.

Maybe you could try to insert somwhere at the top level a (ding) in
window--resize-root-window (in window.el) and listen whether it rings
when you try to thumbify a frame (with and without the sit-for).

martin